Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.render.servlets.jsp
Class RenderHelper

    java.lang.Object
      com.bea.portal.render.servlets.jsp.RenderHelper

Direct Known Subclasses:
  PortalRenderHelper, PortletRenderHelper

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class RenderHelper
extends Object

A base class for the two helper classes PortalRenderHelper and PortletRenderHelper.

Constructor Summary
`RenderHelper()` Deprecated.

Method Summary
`static PageIdentifier` | `getPageIdentifier(HttpServletRequest request)` Deprecated. Return the current page identifier
`static PageState` | `getPageState(HttpServletRequest request)` Deprecated. Retrieve the page state
`static PortalSession` | `getPortalSession(HttpServletRequest request)` Deprecated. Get the PortalSesison from the PipelineSession
`static PortalState` | `getPortalState(HttpServletRequest request)` Deprecated. Retrieve the portal state
`static PortletIdentifier` | `getPortletIdentifier(HttpServletRequest request)` Deprecated. Retrieve the portlet name from the HTTPServletRequest.
`static PortletState` | `getPortletState(HttpServletRequest request)` Deprecated. Retrieve the portlet state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderHelper

    public RenderHelper()

  Deprecated.

Method Detail

### getPortalSession

    public static PortalSession getPortalSession(HttpServletRequest request)
                                          throws JspException

  Deprecated.
  Get the PortalSesison from the PipelineSession

  Throws:
    `JspException`

### getPageIdentifier

    public static PageIdentifier getPageIdentifier(HttpServletRequest request)
                                            throws JspException

  Deprecated.
  Return the current page identifier

  Throws:
    `JspException`

### getPortletIdentifier

    public static PortletIdentifier getPortletIdentifier(HttpServletRequest request)
                                                  throws JspException

  Deprecated.
  Retrieve the portlet name from the HTTPServletRequest. This should be placed there by the rendering engine before each portlet is rendered.

  Throws:
    `JspException`

### getPortalState

    public static PortalState getPortalState(HttpServletRequest request)
                                      throws JspException

  Deprecated.
  Retrieve the portal state

  Throws:
    `JspException`

### getPageState

    public static PageState getPageState(HttpServletRequest request)
                                  throws JspException

  Deprecated.
  Retrieve the page state

  Throws:
    `JspException`

### getPortletState

    public static PortletState getPortletState(HttpServletRequest request)
                                        throws JspException

  Deprecated.
  Retrieve the portlet state

  Throws:
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved